umbrello: TestUMLCanvasObject Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Slots | List of all members
TestUMLCanvasObject Class Reference

`#include <testumlcanvasobject.h>`

Inheritance diagram for TestUMLCanvasObject:

## Private Slots
void | test_addAssociationEnd ()
void | test_getAssociations ()
void | test_removeAllAssociationEnds ()
void | test_getSuperClasses ()
void | test_getRealizations ()
void | test_getAggregations ()
void | test_getCompositions ()
void | test_getRelationships ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Detailed Description

Unit test for class UMLCanvasObject

## Member Function Documentation

## ◆ test_addAssociationEnd

void TestUMLCanvasObject::test_addAssociationEnd | ( |  | ) |
| privateslot

## ◆ test_getAggregations

void TestUMLCanvasObject::test_getAggregations | ( |  | ) |
| privateslot

## ◆ test_getAssociations

void TestUMLCanvasObject::test_getAssociations | ( |  | ) |
| privateslot

## ◆ test_getCompositions

void TestUMLCanvasObject::test_getCompositions | ( |  | ) |
| privateslot

## ◆ test_getRealizations

void TestUMLCanvasObject::test_getRealizations | ( |  | ) |
| privateslot

## ◆ test_getRelationships

void TestUMLCanvasObject::test_getRelationships | ( |  | ) |
| privateslot

## ◆ test_getSuperClasses

void TestUMLCanvasObject::test_getSuperClasses | ( |  | ) |
| privateslot

## ◆ test_removeAllAssociationEnds

void TestUMLCanvasObject::test_removeAllAssociationEnds | ( |  | ) |
| privateslot

The documentation for this class was generated from the following files:

- unittests/testumlcanvasobject.h
- unittests/testumlcanvasobject.cpp